
.wd-product.wd-hover-small {
	--text-align: start;
}

.wd-product.wd-hover-small .product-wrapper {
	position: relative;
	flex-direction: row;
	gap: 15px;
}

.wd-product.wd-hover-small .product-element-top {
	flex: 0 0 auto;
	max-width: 50%;
	border-radius: calc(var(--wd-brd-radius) / 1.5);
}

.wd-product.wd-hover-small .product-element-top :is(.product-image-link,.hover-img) img {
	border-radius: calc(var(--wd-brd-radius) / 1.5);
}

.wd-product.wd-hover-small .product-element-bottom {
	flex: 1 1 auto;
}

.wd-product {
	position: relative;
	text-align: var(--text-align);
	line-height: 1.4;
	--text-align: center;
	--wd-btn-inset: 10px;
	--wd-prod-gap: 12px;
	--wd-prod-bg-sp: 0;
	--wd-prod-bg-cont-sp: 0;
	--wd-prod-trim: calc(( var(--wd-text-line-height) * -.5em ) + .5em);
}

.wd-product .product-wrapper {
	border-radius: var(--wd-brd-radius);
	padding: var(--wd-prod-bg-sp);
}

.wd-product :where(.product-wrapper,.product-element-bottom) {
	display: flex;
	flex-direction: column;
	gap: var(--wd-prod-gap);
}

.wd-product:not(.wd-hover-small) :is(.product-image-link,.hover-img) :is(picture,img) {
	width: 100%;
}

.wd-product .product-image-link {
	--wd-otl-offset: calc(var(--wd-otl-width) * -1);
	position: relative;
	display: block;
}

.wd-product .hover-img {
	position: absolute;
	inset: 0;
	display: flex;
	align-items: center;
	justify-content: center;
	background-color: var(--bgcolor-white);
	opacity: 0;
	transition: opacity .5s ease, transform 2s cubic-bezier(0, 0, .44, 1.18);
	pointer-events: none;
}

.wd-product :is(.wd-entities-title,.wd-product-cats,.wd-product-brands-links,.wd-product-sku,.wd-product-stock,.price) {
	line-height: inherit;
	margin-block: -.2em;
}

.wd-product .wd-entities-title {
	font-size: inherit;
}

.wd-product :is(.wd-product-cats,.wd-product-brands-links) {
	font-size: 95%;
	color: var(--color-gray-400);
	--wd-link-color: var(--color-gray-400);
	--wd-link-color-hover: var(--color-gray-700);
}

.wd-product :is(.wd-product-cats,.wd-product-brands-links) a {
	text-decoration: none;
}

.wd-product .wd-product-sku {
	color: var(--color-gray-400);
}

.wd-product .wd-star-rating {
	display: inline-flex;
	align-items: center;
	align-self: var(--text-align);
	gap: 5px;
}

.wd-product .star-rating {
	align-self: var(--text-align);
	line-height: 1;
}

.wd-product .woocommerce-review-link {
	line-height: 1;
	color: var(--color-gray-500);
}

.wd-product .woocommerce-review-link:hover {
	color: var(--color-gray-900);
}

.wd-product .wd-swatches-grid:empty {
	display: none;
}

.wd-product .wd-swatches-grid {
	justify-content: var(--text-align);
}

.wd-product .price {
	display: block;
}

.wd-product .added_to_cart {
	display: none !important;
}

.wd-product .shop_attributes {
	font-size: 90%;
	--wd-attr-v-gap: 10px;
	--wd-attr-brd-style: dashed;
	--wd-attr-img-width: 18px;
}

.wd-product .shop_attributes .wd-attr-name {
	gap: 4px;
}

.wd-product .shop_attributes .wd-hint {
	margin: 0;
}

.wd-product:is(.wd-variation-active,.product-swatched,.wd-loading-image) .hover-img {
	display: none;
}

.wd-product:is(.quick-shop-shown,.wd-loading-quick-shop) .product-element-top .hover-img {
	opacity: 0;
	transition: opacity .25s ease, transform 2s cubic-bezier(0, 0, .44, 1.18);
}

.product-element-top {
	position: relative;
	overflow: hidden;
	border-radius: var(--wd-brd-radius);
	-webkit-backface-visibility: hidden;
	backface-visibility: hidden;
	transform: translate3d(0, 0, 0);
}

.product-element-top:hover .hover-img {
	opacity: 1;
	transform: scale(1.09);
}

@supports (overflow: clip) {
	.product-element-top {
		overflow: clip;
	}
}

.product-element-top:after {
	position: absolute;
	top: calc(50% - 16px);
	left: calc(50% - 16px);
	visibility: hidden;
	opacity: 0;
	content: "";
	display: inline-block;
	width: 32px;
	height: 32px;
	border: 1px solid rgba(0, 0, 0, 0);
	border-left-color: var(--color-gray-900);
	border-radius: 50%;
	vertical-align: middle;
	animation: wd-rotate 450ms infinite linear var(--wd-anim-state, paused);
}

.wd-product[class*="wd-loading"] .product-image-link {
	opacity: .4;
}

.wd-product[class*="wd-loading"] .product-element-top:after {
	visibility: visible;
	opacity: 1;
	transition: opacity .25s ease, visibility .25s ease;
	--wd-anim-state: running;
}

:is(.catalog-mode-on,.login-see-prices) .wd-product.product .wd-add-btn {
	display: none;
}

.wd-buttons {
	z-index: 4;
	display: flex;
	flex-direction: column;
	border-radius: calc(var(--wd-brd-radius) / 1.2);
	background: var(--bgcolor-white);
	box-shadow: 1px 1px 1px rgba(0, 0, 0, .1);
	transition: all .3s ease;
}

.wd-buttons .wd-action-btn>a {
	height: 45px;
}

.wd-buttons[class*="wd-pos-r"] {
	position: absolute;
	opacity: 0;
	visibility: hidden;
	transform: translate3d(20px, 0, 0);
}

.wd-buttons.wd-pos-r-t {
	top: var(--wd-btn-inset);
	inset-inline-end: var(--wd-btn-inset);
}

.wd-buttons.wd-pos-r-b {
	inset-inline-end: var(--wd-btn-inset);
	bottom: var(--wd-btn-inset);
}

.wd-action-btn.wd-style-icon .button {
	gap: 0;
	min-height: unset;
	padding: 0;
	background-color: transparent;
}

.wd-action-btn.wd-style-icon .button:hover {
	background-color: transparent;
	box-shadow: none;
}

.wd-product:hover:not(:is(.product-swatched,.quick-shop-shown,[class*="wd-loading"])) .wd-buttons[class*="wd-pos-r"] {
	opacity: 1;
	visibility: visible;
	transform: translate3d(0, 0, 0);
}

.wd-product.product-swatched:not(.quick-shop-shown):not([class*="wd-loading"]) .product-element-top:hover .wd-buttons[class*="wd-pos-r"] {
	opacity: 1;
	visibility: visible;
	transform: translate3d(0, 0, 0);
}

.wd-product.product-type-simple.outofstock .product_type_simple:before, .wd-product .product_type_grouped:before {
	content: "";
}

.wd-product .product_type_external:before {
	content: "";
}

:is(.products-bordered-grid-ins,.wd-products-with-bg:not(.products-bordered-grid),.wd-products-with-shadow:not(.products-bordered-grid)) .wd-product {
	--wd-prod-bg-sp: 15px;
}

.wd-product :is(.product-wrapper,.product-element-bottom,.product-list-content,[class*="-information"])>*:not(:is(.product-element-bottom,.wd-entities-title,[class*="wd-product-"],.price)) {
	margin-block: 0;
}

:is(.quick-shop-shown,.wd-loading-quick-shop) :is(.wd-buttons,.product-labels) {
	opacity: 0;
}

@media (max-width: 1024px) {
	.wd-product .hover-img {
		display: none;
	}
	
	.wd-product .wd-buttons {
		opacity: 1;
		transform: translate3d(0, 0, 0);
		visibility: visible;
	}
	
	.wd-buttons {
		border-radius: 35px;
	}
	
	.wd-buttons .wd-action-btn {
		--wd-action-icon-size: 14px;
	}
	
	.wd-buttons .wd-action-btn>a {
		width: 35px;
		height: 35px;
	}
	
	.wd-buttons :is(.wd-quick-view-icon,.wd-compare-btn) {
		display: none;
	}
}

@media (max-width: 768.98px) {
	:is(.products-bordered-grid-ins,.wd-products-with-bg:not(.products-bordered-grid),.wd-products-with-shadow:not(.products-bordered-grid)) .wd-product {
		--wd-prod-bg-sp: 10px;
	}
}

@media (max-width: 576px) {}

.wd-quantity-overlap {
	--quantity-space: 80px;
}

.wd-quantity-overlap div.quantity {
	position: absolute;
	bottom: 0;
	inset-inline-start: 0;
	z-index: 2;
	height: 100%;
	filter: brightness(.95);
	transform: translate3d(0, 0, 0);
}

.wd-quantity-overlap div.quantity input[type] {
	height: 100%;
	border: none;
	background-color: var(--btn-accented-bgcolor);
	box-shadow: var(--btn-accented-box-shadow);
	color: var(--btn-accented-color);
	transition: all .25s ease;
}

.wd-quantity-overlap div.quantity input[type]:hover {
	filter: brightness(.95);
}

.wd-quantity-overlap div.quantity input[type="button"] {
	min-width: 25px;
	border-radius: 0;
}

.wd-quantity-overlap div.quantity:not(.hidden)+.button, .wd-quantity-overlap div.quantity:not(.hidden)+link+.button, .wd-quantity-overlap div.quantity:not(.hidden)+link+link+.button {
	padding-inline-start: var(--quantity-space);
}

.wd-quantity-overlap div.quantity:not(.hidden)+.button:before, .wd-quantity-overlap div.quantity:not(.hidden)+link+.button:before, .wd-quantity-overlap div.quantity:not(.hidden)+link+link+.button:before {
	inset-inline-start: var(--quantity-space);
}

.wd-quantity-overlap div.quantity:not(.hidden)+.button:after, .wd-quantity-overlap div.quantity:not(.hidden)+link+.button:after, .wd-quantity-overlap div.quantity:not(.hidden)+link+link+.button:after {
	inset-inline-start: calc(50% - 9px + var(--quantity-space) / 2);
}

.wd-quantity-overlap div.quantity:not(.hidden)+.single_add_to_cart_button {
	padding-inline-start: calc(20px + var(--quantity-space));
}

.wd-quantity-overlap :is(div,.cart):hover>div.quantity input[type], .wd-quantity-overlap :is(div,.cart):hover>div.quantity+.button {
	background-color: var(--btn-accented-bgcolor-hover);
	box-shadow: var(--btn-accented-box-shadow-hover);
	color: var(--btn-accented-color-hover);
}

.wd-quantity-overlap :is(div,.cart):active>div.quantity {
	bottom: var(--btn-accented-bottom-active);
}

.wd-quantity-overlap :is(div,.cart):active>div.quantity input[type], .wd-quantity-overlap :is(div,.cart):active>div.quantity+.button {
	box-shadow: var(--btn-accented-box-shadow-active);
}

.wd-quantity-overlap div.quantity:active {
	bottom: 0 !important;
}

.wd-quantity-overlap div.quantity:active input[type], .wd-quantity-overlap div.quantity:active+.button {
	box-shadow: var(--btn-accented-box-shadow) !important;
}

[class*="title-line-"] .wd-product .wd-entities-title {
	overflow: hidden;
	max-height: calc(var(--title-line-count, 1) * var(--title-line-height, 1.4em));
	line-height: var(--title-line-height, 1.4em);
}

.title-line-two {
	--title-line-count: 2;
}

.wc-stripe-payment-button-preview {
	align-items: center;
	background-color: #000;
	border-radius: 5px;
	display: flex;
	height: 40px;
	justify-content: center;
}

.wc-stripe-payment-button-preview img {
	height: 22px;
}

.wc-stripe-payment-button-preview:hover {
	cursor: pointer;
	filter: opacity(.7);
}

.wc-stripe-payment-button-preview.wc-stripe-amazon-pay-preview {
	background-color: #ffd814;
}

.wc-stripe-payment-button-preview.wc-stripe-amazon-pay-preview img {
	height: 40px;
}

.wc-stripe-payment-button-preview.wc-stripe-link-preview {
	background-color: #00d66f;
}

.wc-stripe-payment-button-preview.wc-stripe-link-preview img {
	height: 40px;
}

button.stripe-gateway-stripelink-modal-trigger {
	background: no-repeat url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNjQiIGhlaWdodD0iNDgiIHZpZXdCb3g9IjAgMCA3MiAyNCIgZmlsbD0ibm9uZSIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj4KPHBhdGggZD0iTTM2LjEyIDMuNjc2ODNDMzYuMTIgMi41NDg4MiAzNy4wNzA0IDEuNjMyMDIgMzguMTg4OCAxLjYzMjAyQzM5LjMwNzIgMS42MzIwMiA0MC4yNTc2IDIuNTUzNjIgNDAuMjU3NiAzLjY3NjgzQzQwLjI1NzYgNC44MDAwMyAzOS4zNDA4IDUuNzQ1NjMgMzguMTg4OCA1Ljc0NTYzQzM3LjAzNjggNS43NDU2MyAzNi4xMiA0LjgyODgzIDM2LjEyIDMuNjc2ODNaIiBmaWxsPSIjMDExRTBGIi8+CjxwYXRoIGQ9Ik0yOS45ODA4IDEuOTIwMDFIMzMuNTgwOFYyMi4wOEgyOS45ODA4VjEuOTIwMDFaIiBmaWxsPSIjMDExRTBGIi8+CjxwYXRoIGQ9Ik00MC4wMDggNy42ODAwMUgzNi4zNzkyVjIyLjA4SDQwLjAwOFY3LjY4MDAxWiIgZmlsbD0iIzAxMUUwRiIvPgo8cGF0aCBkPSJNNjYuMDk2IDE0LjM5MDRDNjguODI3MiAxMi43MTA0IDcwLjY4NDggMTAuMjA5NiA3MS40MTkyIDcuNjc1MjRINjcuNzkwNEM2Ni44NDQ4IDEwLjA5NDQgNjQuNjc1MiAxMS45MTM2IDYyLjI4OTYgMTIuNjg2NFYxLjkxNTIzSDU4LjY2MDhWMjIuMDc1Mkg2Mi4yODk2VjE2LjA4QzY1LjA1OTIgMTYuNzcxMiA2Ny4yNDggMTkuMTY2NCA2Ny45OTY4IDIyLjA3NTJINzEuNjQ5NkM3MS4wOTI4IDE5LjAyMjQgNjkuMDA0OCAxNi4xNjY0IDY2LjA5NiAxNC4zOTA0WiIgZmlsbD0iIzAxMUUwRiIvPgo8cGF0aCBkPSJNNDYuNDQgOS4yOTI4M0M0Ny4zOTA0IDguMDMwNDMgNDkuMjQzMiA3LjI5NjAyIDUwLjc0NTYgNy4yOTYwMkM1My41NDg4IDcuMjk2MDIgNTUuODY3MiA5LjM0NTYzIDU1Ljg3MiAxMi40NDE2VjIyLjA3NTJINTIuMjQzMlYxMy4yNDMyQzUyLjI0MzIgMTEuOTcxMiA1MS42NzY4IDEwLjUwMjQgNDkuODM4NCAxMC41MDI0QzQ3LjY3ODQgMTAuNTAyNCA0Ni40MzUyIDEyLjQxNzYgNDYuNDM1MiAxNC42NTkyVjIyLjA4NDhINDIuODA2NFY3LjY4OTYySDQ2LjQ0VjkuMjkyODNaIiBmaWxsPSIjMDExRTBGIi8+CjxwYXRoIGQ9Ik0xMiAyNEMxOC42Mjc0IDI0IDI0IDE4LjYyNzQgMjQgMTJDMjQgNS4zNzI1NyAxOC42Mjc0IDAgMTIgMEM1LjM3MjU5IDAgMCA1LjM3MjU3IDAgMTJDMCAxOC42Mjc0IDUuMzcyNTkgMjQgMTIgMjRaIiBmaWxsPSIjMDBENjZGIi8+CjxwYXRoIGQ9Ik0xMS40NDc5IDQuODAwMDVINy43NDcwN0M4LjQ2NzA3IDcuODA5NjUgMTAuNTY5NSAxMC4zODI0IDEzLjE5OTkgMTJDMTAuNTY0NyAxMy42MTc2IDguNDY3MDcgMTYuMTkwNCA3Ljc0NzA3IDE5LjJIMTEuNDQ3OUMxMi4zNjQ3IDE2LjQxNiAxNC45MDM5IDEzLjk5NjggMTguMDIzOSAxMy41MDI0VjEwLjQ5MjlDMTQuODk5MSAxMC4wMDMzIDEyLjM1OTkgNy41ODQwNSAxMS40NDc5IDQuODAwMDVaIiBmaWxsPSIjMDExRTBGIi8+Cjwvc3ZnPgo=");
	background-color: transparent !important;
	border: none;
	cursor: pointer;
	display: none;
	height: 40px;
	position: absolute;
	right: 5px;
	width: 64px;
}

button.stripe-gateway-stripelink-modal-trigger.nitro-lazy {
	background: none !important;
}

button.stripe-gateway-stripelink-modal-trigger:hover {
	background-color: transparent;
	border-color: transparent;
}

.wc-block-checkout__payment-method .wc-block-components-radio-control__label>span {
	width: 100%;
}

.wc-block-checkout__payment-method .wc-block-components-radio-control__label>span>span {
	align-items: center;
	display: flex;
	float: right;
	justify-content: center;
}

#radio-control-wc-payment-method-options-stripe__content.optimized-checkout-element {
	padding-top: 1.4em;
}

#radio-control-wc-payment-method-options-stripe__content.optimized-checkout-element .content:empty {
	display: none;
}

#radio-control-wc-payment-method-options-stripe__label>span>span {
	border: none;
}

.elementor-widget-divider {
	--divider-border-style: none;
	--divider-border-width: 1px;
	--divider-color: #0c0d0e;
	--divider-icon-size: 20px;
	--divider-element-spacing: 10px;
	--divider-pattern-height: 24px;
	--divider-pattern-size: 20px;
	--divider-pattern-url: none;
	--divider-pattern-repeat: repeat-x;
}

.elementor-widget-divider .elementor-divider {
	display: flex;
}

.elementor-widget-divider .elementor-divider__text {
	font-size: 15px;
	line-height: 1;
	max-width: 95%;
}

.elementor-widget-divider .elementor-divider__element {
	flex-shrink: 0;
	margin: 0 var(--divider-element-spacing);
}

.elementor-widget-divider .elementor-icon {
	font-size: var(--divider-icon-size);
}

.elementor-widget-divider .elementor-divider-separator {
	direction: ltr;
	display: flex;
	margin: 0;
}

.elementor-widget-divider--view-line_icon .elementor-divider-separator, .elementor-widget-divider--view-line_text .elementor-divider-separator {
	align-items: center;
}

.elementor-widget-divider--view-line_icon .elementor-divider-separator:after, .elementor-widget-divider--view-line_icon .elementor-divider-separator:before, .elementor-widget-divider--view-line_text .elementor-divider-separator:after, .elementor-widget-divider--view-line_text .elementor-divider-separator:before {
	border-block-end: 0;
	border-block-start: var(--divider-border-width) var(--divider-border-style) var(--divider-color);
	content: "";
	display: block;
	flex-grow: 1;
}

.elementor-widget-divider--element-align-left .elementor-divider .elementor-divider-separator>.elementor-divider__svg:first-of-type {
	flex-grow: 0;
	flex-shrink: 100;
}

.elementor-widget-divider--element-align-left .elementor-divider-separator:before {
	content: none;
}

.elementor-widget-divider--element-align-left .elementor-divider__element {
	margin-left: 0;
}

.elementor-widget-divider--element-align-right .elementor-divider .elementor-divider-separator>.elementor-divider__svg:last-of-type {
	flex-grow: 0;
	flex-shrink: 100;
}

.elementor-widget-divider--element-align-right .elementor-divider-separator:after {
	content: none;
}

.elementor-widget-divider--element-align-right .elementor-divider__element {
	margin-right: 0;
}

.elementor-widget-divider--element-align-start .elementor-divider .elementor-divider-separator>.elementor-divider__svg:first-of-type {
	flex-grow: 0;
	flex-shrink: 100;
}

.elementor-widget-divider--element-align-start .elementor-divider-separator:before {
	content: none;
}

.elementor-widget-divider--element-align-start .elementor-divider__element {
	margin-inline-start: 0;
}

.elementor-widget-divider--element-align-end .elementor-divider .elementor-divider-separator>.elementor-divider__svg:last-of-type {
	flex-grow: 0;
	flex-shrink: 100;
}

.elementor-widget-divider--element-align-end .elementor-divider-separator:after {
	content: none;
}

.elementor-widget-divider--element-align-end .elementor-divider__element {
	margin-inline-end: 0;
}

.elementor-widget-divider:not(.elementor-widget-divider--view-line_text):not(.elementor-widget-divider--view-line_icon) .elementor-divider-separator {
	border-block-start: var(--divider-border-width) var(--divider-border-style) var(--divider-color);
}

.elementor-widget-divider--separator-type-pattern {
	--divider-border-style: none;
}

.elementor-widget-divider--separator-type-pattern.elementor-widget-divider--view-line .elementor-divider-separator, .elementor-widget-divider--separator-type-pattern:not(.elementor-widget-divider--view-line) .elementor-divider-separator:after, .elementor-widget-divider--separator-type-pattern:not(.elementor-widget-divider--view-line) .elementor-divider-separator:before, .elementor-widget-divider--separator-type-pattern:not([class*=elementor-widget-divider--view]) .elementor-divider-separator {
	background-color: var(--divider-color);
	-webkit-mask-image: var(--divider-pattern-url);
	mask-image: var(--divider-pattern-url);
	-webkit-mask-repeat: var(--divider-pattern-repeat);
	mask-repeat: var(--divider-pattern-repeat);
	-webkit-mask-size: var(--divider-pattern-size) 100%;
	mask-size: var(--divider-pattern-size) 100%;
	min-height: var(--divider-pattern-height);
	width: 100%;
}

.elementor-widget-divider--no-spacing {
	--divider-pattern-size: auto;
}

.elementor-widget-divider--bg-round {
	--divider-pattern-repeat: round;
}

.rtl .elementor-widget-divider .elementor-divider__text {
	direction: rtl;
}

.e-con-inner>.elementor-widget-divider, .e-con>.elementor-widget-divider {
	width: var(--container-widget-width, 100%);
	--flex-grow: var(--container-widget-flex-grow);
}
